Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.dale_uv.parser
Class FehlerLog

    java.lang.Object
      de.dale_uv.parser.FehlerLog

    public class FehlerLog

extends java.lang.Object

Enthält das Ergebnis einer DALE-UV-Prüfung. Liefert die Liste der gefundenen Fehler sowie Zusatzinformationen über die Version der Plausibilitätsprüfungen.

Version:
  $Revision: 1.14 $ $Date: 2008-08-28 14:18:06 $
Author:
  husmann, last modified by $Author: rieger $

Constructor Summary
`FehlerLog(java.lang.String datenquelle)` Erstellt ein FehlerLog-Objekt, initialisiert es mit datenquelle und gibt es zurück.

Method Summary
`void` | `addFehler(Fehler fehler)` Fügt den Fehler zur Fehlerliste hinzu.
`java.lang.String` | `getDatenquelle()` Gibt den Namen der Datenquelle zurück.
`java.util.ArrayList` | `getFehlerliste()` Liefert die Fehlerliste.
`java.util.ArrayList` | `getFehlerlisteSorted()` Liefert die Fehlerliste als sortierte `TreeMap`, Sortierschlüssel ist der XML-Tagname + '_' + index.
`java.lang.String` | `getPlausiDatum()` Liefert das Erstelldatum der aktuell verwendeten Plausibilitätsprüfungen.
`java.lang.String` | `getPlausiDatumDatei()` Liefert das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde.
`java.lang.String` | `getPlausiVersion()` Liefert die Version der Plausibilitätsprüfungen.
`java.lang.String` | `getPruefschluessel()` Liefert den Prüfschlüssel für die geprüfte Eingabedatei.
`boolean` | `isPlausiDatumGleich()` Überprüft, ob das Erstelldatum der aktuellen Plausibilitätsprüfungen und das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde, ermittelt werden konnten und übereinstimmen.
`void` | `setDatenquelle(java.lang.String datenquelle)` Setzt die Datenquelle (Name und Pfad der geprüften Datei).
`void` | `setPlausiDatum(java.lang.String plausiDatum)` Setzt das Erstelldatum der aktuell verwendeten Plausibilitätsprüfungen.
`void` | `setPlausiDatumDatei(java.lang.String plausiDatumDatei)` Setzt das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde.
`void` | `setPlausiVersion(java.lang.String plausiVersion)` Setzt die Version der Plausibilitätsprüfungen.
`void` | `setPruefschluessel(java.lang.String pruefschluessel)` Setzt den Prüfschlüssel für die geprüfte Eingabedatei.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FehlerLog

    public FehlerLog(java.lang.String datenquelle)

  Erstellt ein FehlerLog-Objekt, initialisiert es mit datenquelle und gibt es zurück.

  Parameters:
    `datenquelle` - Datenquelle für die geprüften Daten (Name und Pfad der XML-Datei).

Method Detail

### getDatenquelle

    public java.lang.String getDatenquelle()

  Gibt den Namen der Datenquelle zurück. Es handelt sich dabei um den Namen und Pfad der geprüften Datei.

  Returns:
    Name der Datenquelle (Name und Pfad der geprüften Datei).

### getFehlerliste

    public java.util.ArrayList getFehlerliste()

  Liefert die Fehlerliste.

  Returns:
    Fehlerliste.

### getFehlerlisteSorted

    public java.util.ArrayList getFehlerlisteSorted()

  Liefert die Fehlerliste als sortierte `TreeMap`, Sortierschlüssel ist der XML-Tagname + '_' + index.

  Returns:
    Fehlerliste als `TreeMap`.

### addFehler

    public void addFehler(Fehler fehler)

  Fügt den Fehler zur Fehlerliste hinzu.

  Parameters:
    `fehler` - Der hinzuzufügende Fehler.

### setPlausiVersion

    public void setPlausiVersion(java.lang.String plausiVersion)

  Setzt die Version der Plausibilitätsprüfungen.

  Parameters:
    `plausiVersion` - Version der Plausibilitätsprüfungen.

### getPlausiVersion

    public java.lang.String getPlausiVersion()

  Liefert die Version der Plausibilitätsprüfungen.

  Returns:
    Version der Plausibilitätsprüfungen.

### getPlausiDatum

    public java.lang.String getPlausiDatum()

  Liefert das Erstelldatum der aktuell verwendeten Plausibilitätsprüfungen.

  Returns:
    Erstelldatum der aktuell verwendeten Plausibilitätsprüfungen.

### setPlausiDatum

    public void setPlausiDatum(java.lang.String plausiDatum)

  Setzt das Erstelldatum der aktuell verwendeten Plausibilitätsprüfungen.

  Parameters:
    `plausiDatum` - Erstelldatum der aktuell verwendeten Plausibilitätsprüfungen.

### getPlausiDatumDatei

    public java.lang.String getPlausiDatumDatei()

  Liefert das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde.

  Returns:
    Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde.

### setPlausiDatumDatei

    public void setPlausiDatumDatei(java.lang.String plausiDatumDatei)

  Setzt das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde.

  Parameters:
    `plausiDatumDatei` - Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde.

### isPlausiDatumGleich

    public boolean isPlausiDatumGleich()

  Überprüft, ob das Erstelldatum der aktuellen Plausibilitätsprüfungen und das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde, ermittelt werden konnten und übereinstimmen.

  Returns:
    `true`, wenn das Erstelldatum der aktuellen Plausibilitätsprüfungen und das Erstelldatum der Plausibilitätsprüfungen, mit denen die Datei geprüft wurde, ermittelt werden konnten und übereinstimmen, ansonsten `false`.

### setDatenquelle

    public void setDatenquelle(java.lang.String datenquelle)

  Setzt die Datenquelle (Name und Pfad der geprüften Datei).

  Parameters:
    `datenquelle` - Datenquelle (Name und Pfad der geprüften Datei).

### getPruefschluessel

    public java.lang.String getPruefschluessel()

  Liefert den Prüfschlüssel für die geprüfte Eingabedatei. Der 30-stelliger Prüfschlüssel wird nur vergeben, wenn die Eingabedatei fehlerfrei ist, ansonsten wird "1" zurückgeliefert.

  Returns:
    30-stelliger Prüfschlüssel oder "1".

### setPruefschluessel

    public void setPruefschluessel(java.lang.String pruefschluessel)

  Setzt den Prüfschlüssel für die geprüfte Eingabedatei. Der 30-stelliger Prüfschlüssel wird nur vergeben, wenn die Eingabedatei fehlerfrei ist, ansonsten wird dieser auf "1" gesetzt.

  Parameters:
    `pruefschluessel` - 30-stelliger Prüfschlüssel oder "1".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD